<script>

        function confirmationSuivi(path, pathConfirm, message, pathRefresh, div, form ) {
            desactivePopup();
            activeLoader();

            $.ajax({
                dataType : 'html',
                url: path,
                data: {'Path' : pathConfirm , 'Message' : message, 'div' : div, 'form' : form, 'pathRefresh' : pathRefresh},
                type: "POST",
                success: function(result){      
                    desactiveLoader();
                    $("#modal-content").addClass("modal_small");
                    $("#modal-title").html('');
                    $("#modal-body").html(result);
                    activePopup ();
                }
            });
        }

        $('#input_SELECT_SI_DIR').change(function(){

            $('#text_CODE_SI').val('');
            $('#input_CODE_SI').val('');
            $('#text_CODE_DIR').val('');
            $('#input_CODE_DIR').val('');

            $('#spanSi').hide();
            $('#spanDirection').hide();


            if($(this).val() == 'SI') {
                $('#spanSi').show();
            } else {
                $('#spanDirection').show();
            }
        });

        $('#input_SELECT_CDC_NA').change(function(){

            $('#text_CODE_CDC').val('');
            $('#input_CODE_CDC').val('');
            $('#text_CODE_NA').val('');
            $('#input_CODE_NA').val('');

            $('#spanCDC').hide();
            $('#spanNature').hide();


            if($(this).val() == 'CDC') {
                $('#spanCDC').show();
            } else {
                $('#spanNature').show();
            }
        });

        $('#input_SELECT_SCA_CA').change(function(){

            $('#text_CODE_SCA').val('');
            $('#input_CODE_SCA').val('');
            $('#text_CODE_CA').val('');
            $('#input_CODE_CA').val('');

            $('#spanSCA').hide();
            $('#spanCentre').hide();


            if($(this).val() == 'SCA') {
                $('#spanSCA').show();
            } else {
                $('#spanCentre').show();
            }
        });

        function resetFilter()
        {
            clearFilter_soc();
            $('#text_filter_egal_ACH').val('{{ sessionUsr }}').change();
            $('#text_ACH').val('{{ sessionUsr }}').change();
            $('#text_filter_egal_NO_DEM').val('{{ sessionUsr }}').change();
            $('#text_DEM_ACH').val('{{ sessionUsr }}').change();
        }

        function clearFilter_soc()
        {
            clearFilter();
            $('#text_filter_egal_CODE_STE').val('{{ sessionSoc }}').change();
        }

        function clearFilter()
        {
            $('#filtre_suivi input:not([id="tokenCSRF"])').val('');
            $('#filtre_suivi select:not([id="tokenCSRF"])').val('');
            $('#input_sousTraitance').val('');
            $('#filter_ETAT_CDE').val('');
            $('#filtre_suivi #rupture select').val('');
        }
    </script>